Problema con HP Deskjet D1660 [Solucionado]

Buenos dias amigos me gustaria que me pudiesen ayudar acabo de comprar una impresora hp d1660 y todavia no he podido imprimir en ella, primero que nada tengo debian 5.0.4, y por supuesto tenia hplip 2.8.6 y no estaba el driver d1600, me fui a la pagina http://hplipopensource.com/hplip-web/index.html y baje el hplip-3.10.2.run, tube resolver algunas dependencias y listo ahora la instale por Common UNIX Printing System 1.3.8, y correctamente me monta el driver que le corresponde a este modelo (Deskjet d1600 hpijs, 3.10.2rc19) pero no se que pasa mando trabajos a imprimir y no imprime ni siquiera parpadea la luz que indica un error. no se que pueda ser???

por casualidad alguien tiene una Deskjet d1600 funcionando correctamente en debian lenny?

agradecido de antemano en lo que me pudiesen colaborar.

Aqui el mensaje de error cuando mando a imprimir:

impresora 'Deskjet D1600 series' : 'cups-missing-filter'.

en estado queda pendiente.

Yo la tengo en Debian Testing y funciona correctamente. Según el mensaje que te presenta al pedirle que imprima, parece que te falta algún paquete. Creo recordar que busqué en el mismo sitio que tú para averiguar el driver en particular que necesitaba para funcionar, pero luego lo descargué desde los repositorios.

Creeme que he pensado tambien en canbiarme a testing, pero bueno seguire intentandolo debe haber una forma.
he instalado hasta algunos paquetes que me omitia durante la instalacion de hplip-3.10.2.run, cuando ejecuto hp-check
aparentemente me dice todo esta bien "No errors or warnings." auque la instalo y nada que imprime.

en una ultima oportunidad que intente instalarla luego de haberla eliminado me lanzo un mensaje de notificacion de que me hacia falta el paquete llamado: foomatic-ric-hplip, el cual no lo consigo en los repositorios estables y no se si es propio solo de los testing, bueno auque no se si eso es lo que falta para hacerla funcionar correctamente.

No te cambies a Testing sólo porque no te funciona la impresora, haz otras pruebas antes. Te sugiero lo siguiente:

1º.- Toma nota del driver que según el sitio oficial de HP es el apropiado para la impresora.
2º.- Mete en Google "debian-packages"; en ella podrás ver si está ese paquete disponible para Lenny, al igula que para Testing. Si es así, elimina el paquete oficial que instalaste, por ejemplo mediante Syanaptic. Después instala el de los repositorios, mejor con aptitude, a ver si se arreglan las dependencias. Después instala la impresora otra vez, con CUPS o que el asitente de Gnome o KDE, según lo que uses. Si no me equivoco, debes hacer esto como root.
3º.- Si el driver no está en los repositorios de Lenny, modifica tu sources.list para que apunte temporalmente a testing. Después instala el driver de testing mediante aptitude. Luego vuelve a apuntar el sources.list a Lenny. Creo que este segundo método debería arreglar tu problema.

Suerte.

ok amigo voy a probar con lo que me dices, eso era lo que pensaba hacer en ultima instancia lo de cambiar temporalmente lo repositorios a testing, eso lo hise hace tiempo con los driver de mi targeta grafica pero despues termine con un problema de dependencias que se me hizo dificil resolver bueno pero para entoces era muy novato.

voy a intentar resolver como me dices y luego te comento.

gracias.

desinstale todos paquetes relacionados con hplip, cambie los repositorios a testing, actualize y instale sin problema hplip-3.10.2-3 con todas sus dependencias, instale la impresora con el driver d1600 series y nada cuando mando a imprimir no hace nada ni me emite ningun mensaje de error, auque en hp-check me arroja lo siguientes errores:
-----------------------------------------------------------------------------------------------------------------------|
Checking for dependency: PyQt 4 DBus - DBus Support for PyQt4...
error: NOT FOUND! This is a REQUIRED/RUNTIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.

error: User needs to be member of group 'lp' to enable print, scan & fax.
error: User needs to be member of group 'lpadmin' to manage printers.
------------------------------------------------------------------------------------------------------------------------|

cree los grupos lp y lpadmin pero nada no se si tengo que darle unos permisos especiales?

fui a instalar el paquete python-qt4-dbus por lo del fallo de la dependencia y me dice lo siguiente:
------------------------------------------------------------------------------------------------------------------------|
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
libpulse0: Rompe: pavucontrol (< 0.9.8) pero 0.9.6+svn20080426-1 va a ser instalado
E: Paquetes rotos

------------------------------------------------------------------------------------------------------------------------|

Si has creado los grupos lp y lpadmin y tu usuario ya pertenece a ellos, creo que no debes hacer nada más en este punto.
Si has podido instalar bien el paquete hplip-3.10.2-3, no sé por qué te pide luego que instales python-qt4, pues debería haber instalado todas las dependencias de este paquete que están testing. Parece que te pide el python-qt4-dbus, pero la versión de testing, no la de lenny. Por si te sirve de ayuda, yo tengo en testing el mismo hplip-3.10.2-3, y el paquete python-qt4-4.6-1; sin embargo no tengo instalado el python-qt4-dbus y la impresora funciona perfectamente.
Sobre los paquetes rotos, yo usaría Synaptic para localizarlos y probar qué alternativas me da para repararlos.

resolvi lo del paquete python-qt4-dbus pero todavia tengo problemas con los grupos lp lpadmin, aunque aparentemente los tengo bien configurado: lp pertenece tanto a root como al usuario local e igualmente con lpadmin. todos los usuarios incluyendo a root tienen permiso para instalar, modificar tanto impresoras como scanner y fax. pero todavia me sale lo siguiente:

| USER GROUPS |
error: User needs to be member of group 'lp' to enable print, scan & fax.
User needs to be member of group 'lpadmin' to manage printers.
| SUMMARY |

sera que hay una falla en la aplicacion que usa debian para la administracion de usuarios y grupos?

Lo curioso del caso fue que istale en una particion que tenia disponible debian pero de la rama testing, y efectivamente funciono correctamente cuando inicio el sistema por primera vez, pero a medida que actualize los paquetes instalados, instale una serie de aplicaciones que uso a diario y por ultimo realize un aptitude full-upgrade, para resolver algunos problemas con muchos paquetes que estaba retenidos, que por sierto esto lo arreglo, les comento que el mismo problema se presento con la impresora: cuando mando a imprimir un documento no imprime los trabajos se pueden observar por unos instantes en los trabajos en cola y desaparecen, como si fuesen imprimidos, pero nada. y cuando hago un hp-check me dice lo siguiente:

error: User needs to be member of group 'lp' to enable print, scan & fax.
User needs to be member of group 'lpadmin' to manage printers.

si no me equivoco eso debe ser el problema. ya que instale un disco donde tenia fedora leonida instalado la reconocio de inmediato y imprime sin problemas, hize un hp-check y me di de cuenta que los errores de dependencia que arroga no son de gran importancia (porque igual imprime) porque claro porque esta el una herramienta de configuracion grafica hp, pero lo que me llamo la atencion es que el error de los grupos lp y lpadmin no aparecen.

que dices, sera que este es el problema? pero no entiendo porque en testing me funciono antes de ser actualizado.

Hola.
Ahora no estoy trabajando con Debian, así que no puedo ver cómo están configurados mis grupos lp y lpadmin, más tarde les echaré un vistazo.
El hecho de que funcionase bien la impresora desde la partición testing al principio parece indicar esto: que la instalación de la impresora y los grupos son correctos; no entiendo por qué volvió a fallar después.
Que funcione desde Fedora no es extraño: las herramientas de autoconfiguración de esta distro deben haber hecho el trabajo.
Sólo se me ocurre pensar en un conflicto entre el driver que has instalado desde los repositorios de testing (el hplip *** .deb) y el que bajaste desde la página de HP (el hplip *** .run) ¿Por qué no pruebas a desintalar éste, a ver qué pasa? El asistente HP que debes tener ahora en el manú de Gnome o KDE debe darte la posibilidad de desinstalarlo. Después apaga tu equipo, vuelve a ponerlo en marcha y prueba a imprimir desde testing.
Otra idea es que, si puedes, compruebes cómo tiene configurados Fedora los grupos lp y lpadmin, ya que al usar ésta no indica fallos en ellos, y los compares con los grupos en testing. Si no equivoco, la información debe estar en etc/group.
Saludos.

Por cierto: comprueba también si tienes instalado un paquete llamado "hpijs", pero que sea el de Testing, para que se corresponda con el "hplip" que instalaste desde esos repositorios. Tal vez no lo instaló como dependencia, y pudiera ser eso lo que está fallando.